// main: ./main.less, out: ../style.css, compress: false

/* ====================================================================================================================================
UTILITY CLASSES
======================================================================================================================================*/
// *:hover {
//        outline: 1px solid red;
//    }

// transform
.u-transform (@handler) {
    transform        : @handler;
    -webkit-transform: @handler;
}
.u-transform-origin (@origin) {
    transform-origin        : @origin;
    -webkit-transform-origin: @origin;
  }
// horizontal center
.u-horizontal-center (@mleft) {
    left       : 50%;
    margin-left: @mleft;
}
// border radius
.u-border-radius (@radius) {
    border-radius        : @radius;
    -webkit-border-radius: @radius;
}

// shadow
.u-shadow (@shadow-h: 0, @shadow-v: 0, @shadow-b: 10px, @shadow-s: 0, @shadow-col: fade(@vr__col-1, 30%)) {
    box-shadow        : @shadow-h @shadow-v @shadow-b @shadow-s @shadow-col;
    -webkit-box-shadow: @shadow-h @shadow-v @shadow-b @shadow-s @shadow-col;
}

// clearfix
.u-clearfix {
    &:after {
        content: '';
        display: block;
        float  : none;
        clear  : both;
    }
}

// border-box
.u-border-box {
    box-sizing        : border-box;
    -moz-box-sizing   : border-box;
    -webkit-box-sizing: border-box;
}

.u-after-el {
    content: '';
    display: block;
    position: absolute;
}


// visibility hidden
.u-visibility-hidden {
    display   : none !important;
    visibility: hidden;
}


// center text
.u-txt-center  {    
    text-align: center;   
}

.u-display-flex {
    display: flex;
}

// linear gradient
.u-linear-gradient (@start, @end) {
background: @start; /* Old browsers */
background: -moz-linear-gradient(top, @start 0%, @end 100%); /* FF3.6-15 */
background: -webkit-linear-gradient(top, @start 0%,@end 100%); /* Chrome10-25,Safari5.1-6 */
background: linear-gradient(to bottom, @start 0%, @end 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='@start', endColorstr='@end',GradientType=0 ); /* IE6-9 */
}
/* ====================================================================================================================================
JS UTILITY CLASSES
======================================================================================================================================*/

.js-scrollify {
    overflow: hidden;
}